# Basic Types

## Typedefs

- typedef uint32_t cc_uint32
- typedef int32_t cc_int32
- typedef int64_t cc_int64
- typedef uint64_t cc_uint64
- typedef cc_uint32 cc_time_t

## Typedef Documentation

typedef uint32_t cc_uint32

| Unsigned 32-bit integer type

typedef int32_t cc_int32

| Signed 32-bit integer type

typedef int64_t cc_int64

| Unsigned 64-bit integer type

typedef uint64_t cc_uint64

| Signed 64-bit integer type

typedef cc_uint32 cc_time_t

| The cc_time_t type is used to represent a time in seconds. The time must be stored as the number of seconds since midnight GMT on January 1, 1970.